ECHO OFF
:RESTART
IF NOT "%3"=="" GOTO SETUP
LASTSAVE
:SETUP
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  SETUP MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                             CHOSEN VIDEO MODE:  %1
ECHO                             CHOSEN SOUND MODE:  %2
ECHO                           CHOSEN INPUT DEVICE:  %3                                
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                    
ECHO                           {F1} - CHANGE VIDEO MODE
ECHO                           {F2} - CHANGE SOUND MODE
ECHO                           {F3} - CHANGE INPUT DEVICE
ECHO                           {F4} - FINISHED
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO NEXT
IF ERRORLEVEL 61 GOTO INPUT
IF ERRORLEVEL 60 GOTO SOUND
IF ERRORLEVEL 59 GOTO VIDEO
GOTO REPLY
:VIDEO
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  VIDEO MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - CGA 4 COLOUR
ECHO                           {F2} - TANDY 16 COLOUR
ECHO                           {F3} - EGA 16 COLOUR
ECHO                           {F4} - HERCULES
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO HERC
IF ERRORLEVEL 61 GOTO EGA
IF ERRORLEVEL 60 GOTO TGA
IF ERRORLEVEL 59 GOTO CGA
GOTO REPLY
:CGA
RECALL CGA %2 %3
:TGA
RECALL TGA %2 %3
:EGA
RECALL EGA %2 %3
:HERC
RECALL HERC %2 %3
:SOUND
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  SOUND MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - PC SPEAKER
ECHO                           {F2} - TANDY CHIP
ECHO                           {F3} - ADLIB CARD
ECHO                           {F4} - ROLAND MT-32
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 62 GOTO ROLAND
IF ERRORLEVEL 61 GOTO ADLIB
IF ERRORLEVEL 60 GOTO TANDY
IF ERRORLEVEL 59 GOTO SPEAKER
GOTO REPLY
:ROLAND
RECALL %1 ROLAND %3
:ADLIB
RECALL %1 ADLIB %3
:TANDY
RECALL %1 TANDY %3
:SPEAKER
RECALL %1 SPEAKER %3
:INPUT
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II  INPUT MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - KEYBOARD
ECHO                           {F2} - JOYSTICK
ECHO                           {F3} - MOUSE
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 61 GOTO MOUSE
IF ERRORLEVEL 60 GOTO JOYSTICK
IF ERRORLEVEL 59 GOTO KEYBOARD
GOTO REPLY
:KEYBOARD
RECALL %1 %2 KEYBOARD
:JOYSTICK
RECALL %1 %2 JOYSTICK
:MOUSE
RECALL %1 %2 MOUSE
:NEXT
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                            GHOSTBUSTER II   SAVE MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                             CHOSEN VIDEO MODE:  %1
ECHO                             CHOSEN SOUND MODE:  %2
ECHO                           CHOSEN INPUT DEVICE:  %3                                 
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                       
ECHO                           {F1} - SAVE SETUP FILE
ECHO                           {F2} - INSTALL TO HARD DISK AND SAVE SETUP FILE
ECHO                           {F3} - EXIT                                             
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 61 GOTO EXIT
IF ERRORLEVEL 60 GOTO HINSTALL
IF ERRORLEVEL 59 GOTO SAVESETUP
GOTO REPLY
:SAVESETUP
ECHO ECHO OFF >GB2.BAT
ECHO GBII %1 %2 %3 >>GB2.BAT
ECHO INSTALL %1 %2 %3 >LASTSAVE.BAT
ECHO                         ** SETUP FILE HAS BEEN SAVED **                         
ECHO                             ** TYPE GB2 TO BEGIN **
GOTO EXIT
:HINSTALL
CLS
ECHO  ------------------------------------------------------------------------------
ECHO                     GHOSTBUSTER II   HARD DRIVE INSTALL MENU
ECHO  ------------------------------------------------------------------------------  
ECHO                    PLEASE PRESS A FUNCTION KEY TO PICK CHOICE                     
ECHO                           {F1} - INSTALL TO DRIVE C:
ECHO                           {F2} - INSTALL TO DRIVE D:
ECHO                           {F3} - ABORT INSTALL
:REPLY
REPLY
IF ERRORLEVEL 64 GOTO REPLY
IF ERRORLEVEL 61 GOTO NEXT
IF ERRORLEVEL 60 GOTO DRIVED
IF ERRORLEVEL 59 GOTO DRIVEC
GOTO REPLY

:DRIVEC
ECHO ECHO OFF >GB2.BAT
ECHO GBII %1 %2 %3 >>GB2.BAT
ECHO INSTALL %1 %2 %3 >LASTSAVE.BAT
CLS
ECHO     -------------------------------------------------------------------------
ECHO                      GHOSTBUSTERS II HARD DRIVE INSTALL TO C:
ECHO     -------------------------------------------------------------------------  
ECHO                           PLEASE FOLLOW ALL INSTRUCTIONS
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
ECHO                             CREATING C:\GB2 DIRECTORY
MD C:\GB2 >NUL
ECHO                           COPYING GAME FILES FROM DISK 1
COPY *.* C:\GB2 >NUL
ECHO                          *DISK 1 IS COMPLETE REMOVE DISK*
:REPLAY
ECHO                          *PLEASE PLACE DISK 2 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST LAB GOTO TWO
GOTO REPLAY
:TWO
ECHO                           COPYING GAME FILES FROM DISK 2
COPY *.* C:\GB2 >NUL
ECHO                          *DISK 2 IS COMPLETE REMOVE DISK*
:REPLAY2
ECHO                          *PLEASE PLACE DISK 3 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST PARK.DAT GOTO THREE
GOTO REPLAY2
:THREE
ECHO                           COPYING GAME FILES FROM DISK 3
COPY *.* C:\GB2 >NUL
ECHO                          *DISK 3 IS COMPLETE REMOVE DISK*
:REPLAY3
ECHO                          *PLEASE PLACE DISK 4 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST HQ GOTO FOUR
GOTO REPLAY3
:FOUR
ECHO                           COPYING GAME FILES FROM DISK 4
COPY *.* C:\GB2 >NUL
ECHO                         **DISK 4 IS COMPLETE REMOVE DISK**
ECHO                            ** INSTALLATION COMPLETE **
ECHO                               ** TYPE GB2 TO BEGIN **
C:
CD\GB2
GOTO EXIT
                    
:DRIVED
ECHO ECHO OFF >GB2.BAT
ECHO GBII %1 %2 %3 >>GB2.BAT
ECHO INSTALL %1 %2 %3 >LASTSAVE.BAT
CLS
ECHO     -------------------------------------------------------------------------
ECHO                      GHOSTBUSTERS II HARD DRIVE INSTALL TO D:
ECHO     -------------------------------------------------------------------------   
ECHO                           PLEASE FOLLOW ALL INSTRUCTIONS
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
ECHO                             CREATING D:\GB2 DIRECTORY
MD D:\GB2 >NUL
ECHO                           COPYING GAME FILES FROM DISK 1
COPY *.* D:\GB2 >NUL
ECHO                          *DISK 1 IS COMPLETE REMOVE DISK*
:REPLAYD
ECHO                          *PLEASE PLACE DISK 2 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST LAB GOTO TWOD
GOTO REPLAYD
:TWOD
ECHO                           COPYING GAME FILES FROM DISK 2
COPY *.* D:\GB2 >NUL
ECHO                          *DISK 2 IS COMPLETE REMOVE DISK*
:REPLAY2D
ECHO                          *PLEASE PLACE DISK 3 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST PARK.DAT GOTO THREED
GOTO REPLAY2D
:THREED
ECHO                           COPYING GAME FILES FROM DISK 3
COPY *.* D:\GB2 >NUL
ECHO                          *DISK 3 IS COMPLETE REMOVE DISK*
:REPLAY3D
ECHO                          *PLEASE PLACE DISK 4 INTO DRIVE*
ECHO                                HIT ANY KEY TO BEGIN
PAUSE >NUL
IF EXIST HQ GOTO FOURD
GOTO REPLAY3D
:FOURD
ECHO                           COPYING GAME FILES FROM DISK 4
COPY *.* D:\GB2 >NUL
ECHO                         **DISK 4 IS COMPLETE REMOVE DISK**
ECHO                            ** INSTALLATION COMPLETE **
ECHO                               ** TYPE GB2 TO BEGIN **
D:
CD\GB2
:EXIT
